Loading...
Searching...
No Matches
Enumerator.h File Reference

Abstract API for enumerators. More...

Go to the source code of this file.

## Data Structures

class | IBaseEnumerator
| Base enumerator interface for simple iteration over a generic collection. More...
class | IAccessor< T >
| Templated accessor interface for accessing individual data (for instance, of an enumerator). More...
class | IEnumerator< T >
| Templated enumerator interface for simple iteration over a generic collection of T's. More...

## Detailed Description

Abstract API for enumerators.

ABSTRACT: Abstract interface for forward iterable containers (enumerators) of standalone objects (e.g. polynomials as sets of numbers), without any knowledge of their internals.

Author
  Oleksandr Motsak

Definition in file Enumerator.h.